Skip to main content
GET
/
collections
/
{collection}
/
schema
/
fields
List all collection fields
import requests

url = "https://{FUSION HOST}/api/collections/{collection}/schema/fields"

response = requests.get(url)

print(response.text)
HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/collections/{collection}/schema/fields")
.asString();
const options = {method: 'GET'};

fetch('https://{FUSION HOST}/api/collections/{collection}/schema/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/collections/{collection}/schema/fields")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/collections/{collection}/schema/fields"

req, _ := http.NewRequest("GET", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/collections/{collection}/schema/fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request GET \
--url https://{FUSION HOST}/api/collections/{collection}/schema/fields
[
  {
    "name": "<string>",
    "type": "<string>",
    "indexed": true,
    "stored": true,
    "multiValued": true,
    "required": true,
    "docValues": true,
    "omitNorms": true,
    "omitPositions": true,
    "omitTermFreqAndPositions": true,
    "termVectors": true,
    "termPositions": true,
    "termOffsets": true,
    "copyDests": [
      "<string>"
    ],
    "copySources": [
      "<string>"
    ],
    "numDocs": 123,
    "default": "<string>"
  }
]

Path Parameters

collection
string
required

Collection ID.

Response

200 - application/json

successful operation

name
string
type
string
indexed
boolean
stored
boolean
multiValued
boolean
required
boolean
docValues
boolean
omitNorms
boolean
omitPositions
boolean
omitTermFreqAndPositions
boolean
termVectors
boolean
termPositions
boolean
termOffsets
boolean
copyDests
string[]
copySources
string[]
numDocs
integer<int32>
default
string